Subject: Re: bug#44005: 28.0.50; Deleting region doesn't work

From: Parham Doustdar <[email-masked]>
Date: Thu, 15 Oct 2020 13:07:16 +0200

Hi there,
Thanks for trying to reproduce and replying so fast!
Yeah, I ran with `-q` and the same thing is happening. The buffer isn't
read-only, though. Deleting without the region active works. Killing the
region with C-w works. It's only deleting that doesn't work.
:-(
If there's any way that I could gather more information on this, let me
know.
Thanks!

On Thu, Oct 15, 2020 at 9:59 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Parham Doustdar <[email-masked]> writes:
>
> > Here are the steps to reproduce:
> > 1. Create an empty buffer in any major mode, like fundamental
> > 2. Type a character, like `a'
> > 3. Select the entire buffer using `C-x h' and then press <DEL>
> > 4. You will see " Beginning of buffer" in the echo area, and nothing
> will be deleted.
>
> I'm unable to reproduce this bug.  Do you get this when starting Emacs
> with -Q?
>
> It sounds like you have some sort of extension that makes buffers
> read-only installed.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>